player_map_data Struct Reference

Request/reply: get grid map tile. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | col
| The tile origin [pixels]. More...
uint32_t | row
| The tile origin [pixels]. More...
uint32_t | width
| The size of the tile [pixels]. More...
uint32_t | height
| The size of the tile [pixels]. More...
uint32_t | data_count
| The number of cells.
int8_t * | data
| Cell occupancy value (empty = -1, unknown = 0, occupied = +1). More...

## Detailed Description

Request/reply: get grid map tile.

To request a grid map tile, send a PLAYER_MAP_REQ_GET_DATA request with the tile origin and size you want. Set data_count to 0 and leave the data field empty. The response will contain origin, size, and occupancy data for a tile. Note that the response tile may not be exactly the same as the tile you requested (e.g., your requested tile is too large or runs off the map).

## Member Data Documentation

uint32_t player_map_data::col

The tile origin [pixels].

Referenced by MapTransform::ProcessMessage().

int8_t* player_map_data::data

Cell occupancy value (empty = -1, unknown = 0, occupied = +1).

Referenced by MapTransform::ProcessMessage().

uint32_t player_map_data::height

The size of the tile [pixels].

Referenced by MapTransform::ProcessMessage().

uint32_t player_map_data::row

The tile origin [pixels].

Referenced by MapTransform::ProcessMessage().

uint32_t player_map_data::width

The size of the tile [pixels].

Referenced by MapTransform::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45